## dirconc

#### OS/161 Reference Manual

### Name

dirconc - concurrent file system test

### Synopsis

`/testbin/dirconc` path [randomseed]

### Description

`dirconc` does random directory operations from many processes concurrently. This is a fairly difficult stress test as it exercises cross-directory rename. Quite a number of real-world systems have failed to handle it or larger/longer builds of it.

It does its work in a subdirectory of path, so you can run it against whatever filesystem you prefer.

If your system survives a `dirconc` run, be sure to check the integrity of the filesystem as well. It's not uncommon for `dirconc` to provoke filesystem corruption.

### Requirements

`dirconc` uses the following system calls:

- getpid
- fork
- waitpid
- mkdir
- rmdir
- chdir
- rename
- write
- _exit

`dirconc` should work properly on SFS once the file system assignment is complete. It won't do much of interest on emufs, however.